%{?python_enable_dependency_generator}

Name:           python-apt
Version:        2.3.0
Release:    1%{?dist}
Summary:        Python bindings for APT
License:        GPLv2+
URL:            https://tracker.debian.org/pkg/python-apt
Source0:        https://salsa.debian.org/apt-team/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  apt-devel >= 2.0.0
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3dist(python-distutils-extra)
BuildRequires:  python3dist(setuptools)
BuildRequires:  zlib-devel

%description
python-apt is a wrapper to use features of APT from Python.

%package -n python3-apt
Summary:        Python 3 bindings for APT
Requires:       dpkg
Recommends:     dpkg-dev

%description -n python3-apt
The apt_pkg Python 3 interface will provide full access to the internal
libapt-pkg structures allowing Python 3 programs to easily perform a
variety of functions, such as:

 - Access to the APT configuration system
 - Access to the APT package information database
 - Parsing of Debian package control files, and other files with a
   similar structure

The included 'aptsources' Python interface provides an abstraction of
the sources.list configuration on the repository and the distro level.


%prep
%autosetup -p1


%build
export DEBVER="%{version}"
%py3_build


%install
export DEBVER="%{version}"
%py3_install

rm -rf %{buildroot}%{python3_sitelib}/apt_*-stubs*


%files -n  python3-apt
%license COPYING.GPL
%doc README.md
%{python3_sitearch}/apt/
%{python3_sitearch}/apt_*
%{python3_sitearch}/aptsources/
%{python3_sitearch}/python_apt-%{version}-py%{python3_version}.egg-info/
%{_datadir}/%{name}/


%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-1
- initial build
